<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Vue Basics</title>
    <link
      href="https://fonts.googleapis.com/css2?family=Jost:wght@400;700&display=swap"
      rel="stylesheet"
    />
    <link rel="stylesheet" href="styles.css" />
    <script src="https://unpkg.com/vue@next" defer></script>
    <script src="app.js" defer></script>
  </head>
  <body>
    <header>
      <h1>Vue Events</h1>
    </header>
    <section id="events">
      <h2>Events in Action</h2>
      <button @click="add(5)">Add 5</button>
      <button @click.right="reduce(10)">Reduce 10</button>
      <p v-once>starting point : {{ counter }}</p>
      <p>Result: {{ counter }}</p>
      <input type="text" @input="username($event,'raj')" @keyup.enter="confirmname">
      <p>your name: {{ finalname }}</p>
      <form @submit.prevent="db($event)">
        <input type="text">
        <button>signup</button>
      </form>
    </section>
  </body>
</html>
